=== debian/changelog ===
gtkam (0.1.12-2.2) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuild with the latest libexif-gtk-dev to catch the exif soname changes.
    (Closes: #321553)
  * Convert fr.po from ISO-8859-1 to UTF-8 and update po header accordingly.
    (Closes: #196639)
  * Include de.po corrections. (Closes: #313757)
  * Update FSF address in copyright file.

 -- Loic Minier <lool@dooz.org>  Sun, 18 Sep 2005 19:38:38 +0200

gtkam (0.1.12-2.1) unstable; urgency=low

  * NMU
  * Fix broken XML. Closes: #262123, #264841, #269810, #269892, #270866, #271133

 -- Joey Hess <joeyh@debian.org>  Tue, 28 Sep 2004 10:12:49 -0400

gtkam (0.1.12-2) unstable; urgency=low

  * --without-gnome, --without-bonobo (closes: #263789)

 -- Takuo KITAME <kitame@debian.org>  Fri,  6 Aug 2004 12:03:20 +0900

gtkam (0.1.12-1) unstable; urgency=low

  * New upstream release
  * fix error in OMF file (closes: #251371)
  * add icon in .desktop (closes: #251517)

 -- Takuo KITAME <kitame@debian.org>  Thu, 29 Jul 2004 16:06:45 +0900

gtkam (0.1.11-5) unstable; urgency=high

  * rebuild against latest libraries (closes: #258502)
  * urgency=high because of RC Bug fixing.

 -- Takuo KITAME <kitame@debian.org>  Sun, 11 Jul 2004 14:04:04 +0900

gtkam (0.1.11-4) unstable; urgency=low

  * GNOME Team Upload.
  * debian/control:
    + added a Build-Depends on libexif-gtk-dev and removed useless
      Build-Depends (Closes: #244641).
    + Bumped Standards-Version to 3.6.1.0.
    + Updated the URL in the descriptions (Closes: #218687).
    + Removed CVS mention from the description (Closes: #224411).
  * debian/menu:
    + Updated with Luca Capello <luca@pca.it> suggestions 
      (Closes: #229977, #244501).
  
 -- Sebastien Bacher <seb128@debian.org>  Fri, 21 May 2004 15:55:29 +0200

gtkam (0.1.11-3) unstable; urgency=low

  * GNOME Team Upload.
  * Removed DEPRECATED flags to fix FTBFS with GTK+2.4.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 20 May 2004 14:48:30 +0200

gtkam (0.1.11-2) unstable; urgency=low

  * fix wrong gimp plugin directory (closes: #244128)

 -- Takuo KITAME <kitame@debian.org>  Mon, 19 Apr 2004 10:18:02 +0900

gtkam (0.1.11-1) unstable; urgency=low

  * New upstream release (closes: #241699, #205460, #198335, #198335)
  * build against libgimp2.0 (closes: #242023, #242643)

 -- Takuo KITAME <kitame@debian.org>  Fri, 16 Apr 2004 16:24:06 +0900

gtkam (0.1.10-2) unstable; urgency=low

  * --without-gnome (closes: #177848)

 -- Takuo KITAME <kitame@debian.org>  Wed, 22 Jan 2003 18:50:46 +0900

gtkam (0.1.10-1) unstable; urgency=low

  * New upstream release (closes: #174861)

 -- Takuo KITAME <kitame@debian.org>  Tue, 21 Jan 2003 12:13:47 +0900

gtkam (0.1.9-4) unstable; urgency=low

  * Build against libgphoto2, libexif7 (closes: #171042, #171041, #170870)

 -- Takuo KITAME <kitame@debian.org>  Mon,  2 Dec 2002 12:16:40 +0900

gtkam (0.1.9-3) unstable; urgency=low

  * fix plugin install location. (closes: #161323)
  * change maintainer address to @debian.org

 -- Takuo KITAME <kitame@debian.org>  Fri, 15 Nov 2002 17:24:34 +0900

gtkam (0.1.9-2) unstable; urgency=low

  * Rebuild against libpng3 (closes: #157341)

 -- Takuo KITAME <kitame@northeye.org>  Wed, 21 Aug 2002 09:28:13 +0900

gtkam (0.1.9-1) unstable; urgency=low

  * New upstream release (closes: #153165, #154254)

 -- Takuo KITAME <kitame@northeye.org>  Fri, 26 Jul 2002 14:24:27 +0900

gtkam (0.1.2-3) unstable; urgency=low

  * debian/control: Priority: extra (closes: #145147, #145148)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 30 Apr 2002 15:46:53 +0900

gtkam (0.1.2-2) unstable; urgency=high

  * build against gphoto2 2.0final (closes: #136265)

 -- Takuo KITAME <kitame@northeye.org>  Fri,  1 Mar 2002 15:03:00 +0900

gtkam (0.1.2-1) unstable; urgency=low

  * Initial Release. (closes: #110653)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 18 Feb 2002 17:32:40 +0900
