=== debian/control ===
Source: gtkam
Section: graphics
Priority: extra
Maintainer: Takuo KITAME <kitame@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk2.0-dev (>= 2.2), libgphoto2-2-dev (>= 2.1.1), libgimp2.0-dev, libexif-gtk-dev (>= 0.3.3-5)
Standards-Version: 3.6.1.0

Package: gtkam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK+ application for digital still cameras
 gtkam is a graphical application based on GTK+ for digital still
 cameras supported by gphoto2.  (http://www.gphoto.org/)

Package: gtkam-gimp
Architecture: any
Depends: ${shlibs:Depends}, gimp
Description: gtkam gimp plugin
 gtkam is a graphical application based on GTK+ for digital still
 cameras supported by gphoto2.  (http://www.gphoto.org/)
 .
 This package include gimp plugin of gtkam.
